ApiRoleState (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Enum ApiRoleState

- java.lang.Object
- - java.lang.Enum<ApiRoleState>
  - - com.cloudera.api.swagger.model.ApiRoleState

- All Implemented Interfaces:
    Serializable, Comparable<ApiRoleState>

      public enum ApiRoleState
      extends Enum<ApiRoleState>

  Represents the configured run state of a role.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApiRoleState.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUSY`
    `HISTORY_NOT_AVAILABLE`
    `NA`
    `STARTED`
    `STARTING`
    `STOPPED`
    `STOPPING`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApiRoleState` | `fromValue(String text)`
    `String` | `getValue()`
    `String` | `toString()`
    `static ApiRoleState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApiRoleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HISTORY_NOT_AVAILABLE

          public static final ApiRoleState HISTORY_NOT_AVAILABLE

    - #### UNKNOWN

          public static final ApiRoleState UNKNOWN

    - #### STARTING

          public static final ApiRoleState STARTING

    - #### STARTED

          public static final ApiRoleState STARTED

    - #### BUSY

          public static final ApiRoleState BUSY

    - #### STOPPING

          public static final ApiRoleState STOPPING

    - #### STOPPED

          public static final ApiRoleState STOPPED

    - #### NA

          public static final ApiRoleState NA

  - ### Method Detail

    - #### values

          public static ApiRoleState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiRoleState c : ApiRoleState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiRoleState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ApiRoleState>`

    - #### fromValue

          public static ApiRoleState fromValue(String text)

Copyright © 2022. All rights reserved.